import { Component } from 'react';
export declare class CustomItemAction extends Component<{
    action?: any;
    enabled?: any;
    item?: any;
    className?: any;
    index?: any;
    itemId?: any;
}> {
    private mounted;
    state: {
        hasFocus: boolean;
    };
    constructor(props: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    onFocus: () => void;
    onBlur: () => void;
    hasFocus: () => boolean;
    render(): JSX.Element;
}
